org.jbpm.persistence.jta

## Class ContainerManagedTransactionDisposeCommand

- java.lang.Object
- - org.jbpm.persistence.jta.ContainerManagedTransactionDisposeCommand

- All Implemented Interfaces:
    Serializable, org.drools.core.command.impl.ExecutableCommand<Void>, org.kie.api.command.Command<Void>

      public class ContainerManagedTransactionDisposeCommand
      extends Object
      implements org.drools.core.command.impl.ExecutableCommand<Void>

  Dispose command that is dedicated to be used in container managed environments instead of default way of disposing ksession
  `ksession.dispose()`.
  If transaction is active it will delegate the actual disposal to afterCompletion phase of transaction instead of executing it directly. Although when there is no active transaction or no transaction at all it will dispose ksession immediately.
  It relies on `TransactionManager` being available in ksession's environment:
  `ksession.getEnvironment().get(EnvironmentName.TRANSACTION_MANAGER)`
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContainerManagedTransactionDisposeCommand()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Void` | `execute(org.kie.api.runtime.Context context)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.command.impl.ExecutableCommand

      `canRunInTransaction`

- - ### Constructor Detail

    - #### ContainerManagedTransactionDisposeCommand

          public ContainerManagedTransactionDisposeCommand()

  - ### Method Detail

    - #### execute

          public Void execute(org.kie.api.runtime.Context context)

      Specified by:
        `execute` in interface `org.drools.core.command.impl.ExecutableCommand<Void>`

Copyright © 2001–2017 JBoss by Red Hat. All rights reserved.